aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 16:58:13 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 16:58:13 +0000
commit5f808151e3792f2037bac21ae474f0ef17517c8d (patch)
tree3205f1224b633e49d39908a983d1a31d1348e6b2 /unmaintained
parent923bc4ad7880160334186d8a1fa4ea39ccffb1d2 (diff)
downloadaports-5f808151e3792f2037bac21ae474f0ef17517c8d.tar.gz
aports-5f808151e3792f2037bac21ae474f0ef17517c8d.tar.bz2
aports-5f808151e3792f2037bac21ae474f0ef17517c8d.tar.xz
testing/taglib-extras: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/taglib-extras/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/unmaintained/taglib-extras/APKBUILD b/unmaintained/taglib-extras/APKBUILD
new file mode 100644
index 0000000000..3aecb4f93f
--- /dev/null
+++ b/unmaintained/taglib-extras/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=taglib-extras
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="extra modules for taglib"
+url="http://amarok.kde.org/"
+arch="all"
+license="GPL"
+depends=
+depends_dev="qt-dev taglib-dev"
+makedepends="$depends_dev cmake"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.kollide.net/~jefferai/taglib-extras-$pkgver.tar.gz"
+
+_builddir="$srcdir"/taglib-extras-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ mkdir "$_builddir"/build
+}
+
+build() {
+ cd "$_builddir"/build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir" || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="e973ca609b18e2c03c147ff9fd9e6eb8 taglib-extras-1.0.1.tar.gz"